/**
 * This file is released under the GNU General Public License.
 * Refer to the COPYING file distributed with this package.
 *
 * Copyright (c) 2008-2010 WURFL-Pro srl
 */

package net.sourceforge.wurfl.core.handlers;

import net.sourceforge.wurfl.core.request.normalizer.UserAgentNormalizer;

/**
 * Intercept all UAs starting with "Grundig" or "GRUNDIG"
 * 
 * @author Fantayeneh Asres Gizaw
 * @author Filippo De Luca
 * 
 * @version $Id: GrundigHandler.java 432 2010-05-06 12:12:53Z filippo.deluca $
 */
public class GrundigHandler extends Handler {

    public GrundigHandler() {
    }

    public GrundigHandler(UserAgentNormalizer normalizer) {
		super(normalizer);
	}

	/**
	 * Checks given UA starts with "Grundig" or "GRUNDIG"
	 */
	public boolean canHandle(String userAgent) {
		return (userAgent.startsWith("Grundig") || userAgent.startsWith("GRUNDIG"));
	}

}
